## org.eclipse.emf.codegen.ecore.genmodel
Interface GenDataType

All Superinterfaces:
  EObject, GenBase, GenClassifier, Notifier

All Known Subinterfaces:
  GenEnum

All Known Implementing Classes:
  GenDataTypeImpl, GenEnumImpl

    public interface GenDataType

extends GenClassifier

A representation of the model object 'Gen Data Type'.

The following features are supported:

- `Ecore Data Type`

See Also:
  `GenModelPackage.getGenDataType()`

Method Summary
`GenDataType` `getBaseType()`
`EDataType` `getEcoreDataType()` Returns the value of the 'Ecore Data Type' reference
`java.util.List<java.lang.String>` `getEnumerationLiterals()`
`int` `getFractionDigits()`
`java.lang.String` `getImportedInstanceClassName()`
`java.lang.String` `getImportedParameterizedObjectInstanceClassName()`
`java.lang.String` `getImportedWildcardObjectInstanceClassName()`
`GenDataType` `getItemType()`
`java.lang.String` `getLengthAccessorFunction()`
`int` `getMaxLength()`
`java.lang.String` `getMaxLiteral()`
`java.util.List<GenDataType>` `getMemberTypes()`
`int` `getMinLength()`
`java.lang.String` `getMinLiteral()`
`java.lang.String` `getModelInfo()`
`java.lang.String` `getObjectInstanceClassName()`
`GenDataType` `getObjectType()`
`java.util.List<java.util.List<java.lang.String>>` `getPatterns()`
`java.lang.String` `getPrimitiveValueFunction()`
`java.lang.String` `getQualifiedInstanceClassName()`
`java.lang.String` `getSerializableFlag()`
`java.lang.String` `getStaticValue(java.lang.String literal)`
`int` `getTotalDigits()`
`java.lang.String` `getWhiteSpace()`
`void` `initialize(EDataType eDataType)`
`boolean` `isArrayType()`
`boolean` `isMaxInclusive()`
`boolean` `isMinInclusive()`
`boolean` `isObjectType()`
`boolean` `isPrimitiveType()`
`boolean` `isSerializable()`
`boolean` `isXMLCalendar()`
`boolean` `isXMLDuration()`
`boolean` `reconcile(GenDataType oldGenDataVersion)`
`void` `setEcoreDataType(EDataType value)` Sets the value of the '`Ecore Data Type`' reference

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier

`getAllGenConstraints, getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getConstraintDelegate, getConstraintImplementor, getEcoreClassifier, getFormattedName, getGenConstraints, getGeneratedInstanceClassFlag, getGenPackage, getGenTypeParameters, getImportedBoundedWildcardInstanceClassName, getImportedMetaType, getImportedParameterizedInstanceClassName, getImportedWildcardInstanceClassName, getMetaType, getName, getQualifiedClassifierAccessor, getRawImportedInstanceClassName, getRawInstanceClassName, getSafeUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEcoreDataType

    EDataType getEcoreDataType()

  Returns the value of the 'Ecore Data Type' reference.

  If the meaning of the 'Ecore Data Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ecore Data Type' reference.
  See Also:
    `setEcoreDataType(EDataType)`, `GenModelPackage.getGenDataType_EcoreDataType()`

### setEcoreDataType

    void setEcoreDataType(EDataType value)

  Sets the value of the '`Ecore Data Type`' reference.

  Parameters:
    `value` - the new value of the 'Ecore Data Type' reference.
  See Also:
    `getEcoreDataType()`

### getQualifiedInstanceClassName

    java.lang.String getQualifiedInstanceClassName()

### getImportedInstanceClassName

    java.lang.String getImportedInstanceClassName()

  Specified by:
    `getImportedInstanceClassName` in interface `GenClassifier`

### getObjectInstanceClassName

    java.lang.String getObjectInstanceClassName()

### getImportedParameterizedObjectInstanceClassName

    java.lang.String getImportedParameterizedObjectInstanceClassName()

  Since:
    2.3

### getImportedWildcardObjectInstanceClassName

    java.lang.String getImportedWildcardObjectInstanceClassName()

  Since:
    2.3

### isObjectType

    boolean isObjectType()

### isPrimitiveType

    boolean isPrimitiveType()

### isArrayType

    boolean isArrayType()

### isSerializable

    boolean isSerializable()

### getPrimitiveValueFunction

    java.lang.String getPrimitiveValueFunction()

### getSerializableFlag

    java.lang.String getSerializableFlag()

### getModelInfo

    java.lang.String getModelInfo()

### getBaseType

    GenDataType getBaseType()

### getItemType

    GenDataType getItemType()

### getMemberTypes

    java.util.List<GenDataType> getMemberTypes()

### getObjectType

    GenDataType getObjectType()

### getMinLiteral

    java.lang.String getMinLiteral()

### isMinInclusive

    boolean isMinInclusive()

### getMaxLiteral

    java.lang.String getMaxLiteral()

### isMaxInclusive

    boolean isMaxInclusive()

### getLengthAccessorFunction

    java.lang.String getLengthAccessorFunction()

### getMinLength

    int getMinLength()

### getMaxLength

    int getMaxLength()

### getTotalDigits

    int getTotalDigits()

### getFractionDigits

    int getFractionDigits()

### getEnumerationLiterals

    java.util.List<java.lang.String> getEnumerationLiterals()

### getWhiteSpace

    java.lang.String getWhiteSpace()

### getPatterns

    java.util.List<java.util.List<java.lang.String>> getPatterns()

### isXMLCalendar

    boolean isXMLCalendar()

### isXMLDuration

    boolean isXMLDuration()

### getStaticValue

    java.lang.String getStaticValue(java.lang.String literal)

### initialize

    void initialize(EDataType eDataType)

### reconcile

    boolean reconcile(GenDataType oldGenDataVersion)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.